import chromeMessageCenter from '@/uilts/messageCenter/chrome';
import MESSAGE_ENUM from '@/uilts/messageCenter/chrome/messageEnum'

export default {
    // ---- 获取推文文案 ---- 
    test({ tweetId }, overTime) {
        return new Promise((res, rej) => {
            chromeMessageCenter.sendToContent({
                info: {
                    actionType: MESSAGE_ENUM.BACK_TO_CONTENT_TEST,
                },
                data: {
                    tweetId
                },
                overTime,
                callback: (data) => {
                    res(data);
                },
                failback: (e) => {
                    rej(e)
                }
            })
        })
    }
}
